
<div class="container" fxFlexFill fxLayout="column" >

  <mat-sidenav-container class="container mat-typography" fxFlex >
    <mat-sidenav  #sidenav fxLayout="column" mode="over" opened="false" fxHide.gt-sm="true">
      <app-sidenav [menuItems]="menus"></app-sidenav>
    </mat-sidenav>
    <mat-sidenav-content  fxFlex fxLayout="column">
      <app-header (sidenavEventEmmit)="sidenav.toggle()" [menuItems]="menus"></app-header>
      <router-outlet ></router-outlet>
      <app-footer fxFlex fxLayout="row" fxLayoutAlign="start end"></app-footer>
    </mat-sidenav-content>
  </mat-sidenav-container>

</div>
